import { OnInit } from '@angular/core';
import { TableResultsPage } from '../table-results-page';
import { PageRequestData } from '../page-request-data';
import { TableColumn } from '../table-column';
import { FooterLegend } from '../footer/footer-legend';
import { Observable } from 'rxjs/Observable';
export declare class TableComponent<T> implements OnInit {
    dataSource: (requestPageData: PageRequestData) => Observable<TableResultsPage<T>>;
    columns: TableColumn[];
    pageSize: number;
    footerLegend: FooterLegend;
    resultsPage: TableResultsPage<T>;
    rows: any;
    private currentPage;
    private columnOrdering;
    constructor();
    ngOnInit(): void;
    onPageClicked(page: number): void;
    sort(prop: string): void;
    buildDataRequestConfig(): PageRequestData;
    private loadData(requestPageData);
    getSortDirection(column: TableColumn): 'asc' | 'desc';
}
